<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<!--
 Licensed Material - Property of IBM 
 (C) Copyright IBM Corp. 2001 - All Rights Reserved. 
 US Government Users Restricted Rights - Use, duplication or disclosure 
 restricted by GSA ADP Schedule Contract with IBM Corp. 
-->

<%@ page errorPage="/error.jsp" import="com.ibm.etools.utc.*" %>
<jsp:useBean id="hierarchyView" scope="session" class="com.ibm.etools.utc.view.HierarchyView"/>
<%@ taglib uri="/utc" prefix="utc" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
  <meta http-equiv="Content-Style-Type" content="text/css">
  <meta http-equiv="Pragma" content="no-cache">
  <meta http-equiv="Cache-Control" content="no-cache">
  <meta http-equiv="expires" content="0">
  <link rel=stylesheet type="text/css" href="/UTC/css/dynamic.css">
</head>

<body>

<% if (hierarchyView.isValid()) { %>

<div class="hierarchyPage">

<b><utc:resource key="hierarchyPageFiltering"/> <%= hierarchyView.getClassFullName() %></b><br>

<form action="/UTC/setHierarchyView" target="hierarchyPage" method="get">

<div class="hierarchy">
<table cellpadding=4 cellspacing=0 border=0 width=100%>

<tr class=header>
  <td colspan=2><utc:resource key="hierarchyPageSuperclasses"/> <%= hierarchyView.getClassName() %></td>
</tr>
<%= hierarchyView.getSuperclassHierarchyForm() %>

</table>
</div>

<br>

<div class="hierarchy">
<table cellpadding=4 cellspacing=0 border=0 width=100%>

<tr class=header>
  <td colspan=2><utc:resource key="hierarchyPageSuperinterfaces"/> <%= hierarchyView.getClassName() %></td>
</tr>
<%= hierarchyView.getInterfaceHierarchyForm() %>

<% String message = hierarchyView.getStatus();
  if (message != null) { %>
<tr>
  <td colspan=2><utc:resource key="hierarchyPageStatus"/></td>
</tr>
<tr>
  <td colspan=2><%= message %></td>
</tr>
<% } %>

</table>
</div>
<br>

<input type=submit value="<utc:resource key="hierarchyPageSetHierarchy"/>" id="hierarchy" class="button"/>

</form>
</div>


<% } else { %>
<utc:resource key="hierarchyPageInvalid"/>
<% } %>

</body>
</html>
