package com.ibm.ws390.samples.ivp.servletclient;

import java.util.*;
/**
 * Insert the type's description here.
 * Creation date: (3/8/01 3:16:14 PM)
 * @author: Administrator
 */
import javax.naming.InitialContext;
import com.ibm.ws390.samples.ivp.ejb.PolicySessionHome;
import com.ibm.ws390.samples.ivp.ejb.PolicySession;
// import com.ibm.ws390.samples.ivp.utilities.IVPProperties;
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class Was40Ivp
	extends javax.servlet.http.HttpServlet
	implements javax.servlet.SingleThreadModel {

	/**
	 * Process incoming HTTP GET requests 
	 * 
	 * @param request Object that encapsulates the request to the servlet 
	 * @param response Object that encapsulates the response from the servlet
	 */
	public void doGet(
		javax.servlet.http.HttpServletRequest request,
		javax.servlet.http.HttpServletResponse response)
		throws javax.servlet.ServletException, java.io.IOException {

		PrintWriter out = response.getWriter();
		response.setContentType("text/html");

		PolicySessionHome home = null;
		PolicySession policySession = null;
		InitialContext ctx = null;
		int policyNo1 = 0;
		int policyNo2 = 0;
		String beanType = null;

		beanType = request.getParameter("beantype");
		policyNo1 = new Integer(request.getParameter("policyno1")).intValue();
		policyNo2 = new Integer(request.getParameter("policyno2")).intValue();
		if ((policyNo1 <= 0) || (policyNo2 <= 0)) {
			out.println(
				"<html><head><title>Result from policy update</title></head><body>");
			out.println(
				"<h2><font color=darkgreen> Updating the policy database status</font></h2>");
			out.println(
				"<P><font color=darkgreen> Policy numbers entered are: "
					+ policyNo1
					+ " and "
					+ policyNo2
					+ "</font></P>");
			out.println(
				"<P><font color=red> These are invalid numbers. PolicyIVP has failed.</font></P>");
		} else {

			out.println(
				"<html><head><title>Result from policy update</title></head><body>");
			out.println(
				"<h2><font color=darkgreen> Updating the policy database status</font></h2>");
			out.println(
				"<P><font color=darkgreen> Policy numbers entered are: "
					+ policyNo1
					+ " and "
					+ policyNo2
					+ "</font></P>");
			out.println("<P>...using " + beanType + " persistence</P>");
			out.println(
				"<P>Policy numbers entered are: " + policyNo1 + " and " + policyNo2 + "</P>");

			//
			// Do initial home lookup
			//
			try {

				//
				// Do initial home lookup
				//
				//System.out.println("Get property file name from system properties");

				/** For VICOM
					java.util.Properties prop = System.getProperties();
				String JNDI_SESSION_NAME = prop.getProperty("POLICY_NAME");
				String homeName=JNDI_SESSION_NAME;
				System.out.println("Here is the home name: " + homeName);
				if (homeName == null) {
					System.out.println("Must specify POLICY_NAME");
					System.exit(1);
				}
				*/

				//
				// Create initial context...
				//
				out.println("<P>Create initial context</P>");
				//ctx = new InitialContext(prop);
				ctx = new InitialContext();
				//java.lang.Object objHome = ctx.lookup(homeName);
				out.println("<P>Look up policy session home</P>");
				java.lang.Object objHome = ctx.lookup("java:comp/env/ejb/ivp/policysession");
				out.println("<P>Narrow policy session home</P>");
				home =
					((PolicySessionHome) (javax
						.rmi
						.PortableRemoteObject
						.narrow(objHome, PolicySessionHome.class)));
				policySession = home.create();
				//
				// Create two policy beans using the session, set a premium and an amount.
				//
				out.println("<P>Starting tran 1</P>");

				policySession.tran1(beanType, policyNo1, policyNo2);
				//
				// Add 88 to the premium for policy number 2
				//
				policySession = home.create();
				out.println("<P>Starting tran 2</P>");
				policySession.tran2(beanType, policyNo2);
				out.println("<P>" + beanType + " IVP has completed successfully</P>");
				out.println("<A HREF=cebit.html>Return to main page</a>");
			} catch (Exception ex) {
				out.println("<P>IVP has failed</P>");
				ex.printStackTrace();
			}
		}
	}
}