<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<!--
 Licensed Material - Property of IBM 
 (C) Copyright IBM Corp. 2001 - All Rights Reserved. 
 US Government Users Restricted Rights - Use, duplication or disclosure 
 restricted by GSA ADP Schedule Contract with IBM Corp. 
-->

<%@ page errorPage="/error.jsp" import="com.ibm.etools.utc.*,com.ibm.etools.utc.model.*" %>
<jsp:useBean id="resultView" scope="session" class="com.ibm.etools.utc.view.ResultView"/>
<jsp:useBean id="modelManager" scope="session" class="com.ibm.etools.utc.ClassModelManager"/>
<%@ taglib uri="/utc" prefix="utc" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
  <meta http-equiv="Content-Style-Type" content="text/css">
  <meta http-equiv="Pragma" content="no-cache">
  <meta http-equiv="Cache-Control" content="no-cache">
  <meta http-equiv="expires" content="0">
  <link rel=stylesheet type="text/css" href="/UTC/css/dynamic.css">
</head>

<body>

<% if (resultView.isValid()) { %>

<% if (resultView.showSource()) { %>
<img src="<%= resultView.getSourceImage() %>" width=16 height=16/>&nbsp;<%= resultView.getSource() %>:<br>
<% } %>

<% if (resultView.isErrorResult()) { %>
  <font color=red><%= resultView.getError() %></font>
<% } else if (resultView.isVoidResult()) { %>
  <utc:resource key="ejbPageResultViewVoid"/>
<% } else if (resultView.isNullResult()) { %>
  <utc:resource key="ejbPageResultViewNull"/>
<% } else if (resultView.isExceptionResult()) { %>
  <img src="/UTC/images/error.gif" width=16 height=16 align="top"/>
  <%= resultView.getExceptionMessage() %><br>
  <pre><% resultView.printException(out); %></pre>
<% } else { %>
  <% if (resultView.getModel() instanceof ObjectModel) { %>
    <img src="/UTC/images/object.gif" width=16 height=16 align="top"/>&nbsp;<%= resultView.getObjectValue() %>&nbsp;(<%= resultView.getModelFullName() %>)
  <% } else { %>
    <img src="/UTC/images/class.gif" width=16 height=16 align="top"/>&nbsp;<%= resultView.getModelFullName() %>
  <% } %>

  <table cellpadding=3 cellspacing=0 border=0>
  <tr valign="baseline">
  <% if (modelManager.contains(resultView.getModel())) { %>
    <td><utc:resource key="ejbPageResultViewInUse"/></td>
  <% } else { %>
    <td><form name="work" action="/UTC/addObject" method="get" target="referencePage">
    <input type=submit value="<utc:resource key="ejbPageResultViewUse"/>" id="work" class="button"/>
    </form></td>
  <% } %>
  <% if (resultView.isCollection()) { %>
    <td><form name="workAll" action="/UTC/addAllObjects" method="get" target="referencePage">
    <input type=submit value="<utc:resource key="ejbPageResultViewUseAll"/>" id="workAll" class="button"/>
    </form></td>
  <% } %>
  </tr></table>
<% } %>

<% } else { %>
  <utc:resource key="ejbPageResultViewInvalid"/>
<% } %>

</body>
</html>
