package com.ibm.ws390.samples.ivp.ejb;

/**
* This is a Primary Key Class for the Entity Bean
**/
public class PolicyBMPKey implements java.io.Serializable {
	final static long serialVersionUID = 3206093459760846163L;

	public int policyNo;
	/**
	* PolicyBMPKey() constructor 
	*/
	public PolicyBMPKey() {
		policyNo = 0;
	}
	/**
	* PolicyBMPKey(String key) constructor 
	*/
	public PolicyBMPKey(int pNo) {
		policyNo = pNo;
	}
	/**
	* equals method
	* - user must provide a proper implementation for the equal method. The generated 
	*   method assumes the key is a String object.
	*/
	public boolean equals(Object o) {
		if (o instanceof PolicyBMPKey)
			return policyNo == (((PolicyBMPKey) o).policyNo);
		else
			return false;
	}
	/**
	* hashode method
	* - user must provide a proper implementation for the hashCode method. The generated
	*    method assumes the key is a String object.
	*/
	public int hashCode() {
		return (int) policyNo;
	}
}