package com.ibm.ws390.samples.ivp.ejb;
import java.rmi.RemoteException;
import java.security.Identity;
import java.util.Properties;
import javax.ejb.*;
/**
 * Bean implementation class for Enterprise Bean: PolicyCMP
 */
public class PolicyCMPBean implements javax.ejb.EntityBean {
	private javax.ejb.EntityContext myEntityCtx;
	/**
	 * Implemetation field for persistent attribute: ppremium
	 */
	public double ppremium;
	/**
	 * Implemetation field for persistent attribute: pamount
	 */
	public double pamount;
	/**
	 * Implemetation field for persistent attribute: pnumber
	 */
	public int pnumber;
	/**
	 * getEntityContext
	 */
	public javax.ejb.EntityContext getEntityContext() {
		return myEntityCtx;
	}
	/**
	 * setEntityContext
	 */
	public void setEntityContext(javax.ejb.EntityContext ctx) {
		myEntityCtx = ctx;
	}
	/**
	 * unsetEntityContext
	 */
	public void unsetEntityContext() {
		myEntityCtx = null;
	}
	/**
	 * ejbActivate
	 */
	public void ejbActivate() {
		_initLinks();
	}
	/**
	 * ejbCreate method for a CMP entity bean.
	 */
	public com.ibm.ws390.samples.ivp.ejb.PolicyCMPKey ejbCreate(int pnumber) throws javax.ejb.CreateException {
		_initLinks();
		this.pnumber = pnumber;
		return null;
	}
	/**
	 * ejbLoad
	 */
	public void ejbLoad() {
		_initLinks();
	}
	/**
	 * ejbPassivate
	 */
	public void ejbPassivate() {
	}
	/**
	 * ejbPostCreate
	 */
	public void ejbPostCreate(int pnumber) throws javax.ejb.CreateException {
	}
	/**
	 * ejbRemove
	 */
	public void ejbRemove() throws javax.ejb.RemoveException {
		try {
			_removeLinks();
		} catch (java.rmi.RemoteException e) {
			throw new javax.ejb.RemoveException(e.getMessage());
		}
	}
	/**
	 * ejbStore
	 */
	public void ejbStore() {
	}
	/**
	 * This method was generated for supporting the associations.
	 */
	protected void _initLinks() {
	}
	/**
	 * This method was generated for supporting the associations.
	 */
	protected java.util.Vector _getLinks() {
		java.util.Vector links = new java.util.Vector();
		return links;
	}
	/**
	 * This method was generated for supporting the associations.
	 */
	protected void _removeLinks() throws java.rmi.RemoteException, javax.ejb.RemoveException {
		java.util.List links = _getLinks();
		for (int i = 0; i < links.size() ; i++) {
			try {
				((com.ibm.ivj.ejb.associations.interfaces.Link) links.get(i)).remove();
			} catch (javax.ejb.FinderException e) {} //Consume Finder error since I am going away
		}
	}
	/**
	 * Get accessor for persistent attribute: ppremium
	 */
	public double getPpremium() {
		return ppremium;
	}
	/**
	 * Set accessor for persistent attribute: ppremium
	 */
	public void setPpremium(double newPpremium) {
		ppremium = newPpremium;
	}
	/**
	 * Get accessor for persistent attribute: pamount
	 */
	public double getPamount() {
		return pamount;
	}
	/**
	 * Set accessor for persistent attribute: pamount
	 */
	public void setPamount(double newPamount) {
		pamount = newPamount;
	}
	/**
	 * Get policy number: pnumber
	 */
	public int getPolicyNo(){
	return pnumber;
}
}
